Summary:	Utilities for managing the XFS filesystem.
Group:		System Environment/Base
Name:		xfsprogs
Version:	2.3.5
Release:	1.5.0
License:	GPL
Source0:	http://oss.sgi.com/projects/xfs/%{name}-%{version}.src.tar.gz
Prereq:		/sbin/ldconfig
Conflicts:	xfsdump < 2.0.0
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package devel
Summary:	XFS filesystem-specific static libraries and headers.
Group:		Development/Libraries
Requires:	xfsprogs >= 2.0.0
Conflicts:	xfsprogs < 2.0.0

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

%prep
%setup -q
  make configure

%build
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  DIST_ROOT="$RPM_BUILD_ROOT"
  DIST_INSTALL=`pwd`/install.manifest
  DIST_INSTALL_DEV=`pwd`/install-dev.manifest
  export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

  make install DIST_MANIFEST="$DIST_INSTALL"
  make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

  files()
  {
	sort | uniq | awk ' 
$1 == "d" { printf ("%%%%dir %%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $5); } 
$1 == "f" { if (match ($6, "/usr/share/man") || match ($6, "/usr/share/doc/xfsprogs"))
		printf ("%%%%doc ");
	    if (match ($6, "/usr/share/man"))
		printf ("%%%%attr(%s,%s,%s) %s*\n", $2, $3, $4, $6);
	    else
		printf ("%%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $6); }
$1 == "l" { if (match ($3, "/usr/share/man") || match ($3, "/usr/share/doc/xfsprogs"))
		printf ("%%%%doc ");
	    if (match ($3, "/usr/share/man"))
		printf ("%attr(0777,root,root) %s*\n", $3);
	    else
		printf ("%attr(0777,root,root) %s\n", $3); }'
  }

  set +x
  files < "$DIST_INSTALL" > files.rpm
  files < "$DIST_INSTALL_DEV" > filesdevel.rpm
  set -x

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f files.rpm
%files devel -f filesdevel.rpm

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 12 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.5, Release 1.5.0
  - Initial build for EnGarde Secure Linux v1.5 (thrust).

